# 手动入库数据

## 手动发送

```http
POST http://192.168.31.83:10010/tsl/task/send HTTP/1.1
Content-Type:application/json

20241210
```

> 注意：文件缺失时不需要手动入库和生成报表，当前已经加入了等待，检查的机制。发送的逻辑后续需要修改一下。

## 手动生成报表

```http
POST http://192.168.10.7:22222/tsl_data/report/generate/v3 HTTP/1.1
Content-Type:application/json

20250505
```

```http
POST http://192.168.10.7:22222/tsl_data/task/redo HTTP/1.1
Content-Type:application/json

20250506
```

curl -X POST http://127.0.0.1:22222/tsl_data/report/generate/v3 -H "Content-Type: application/json" -d '"20241031"'

curl -X POST http://127.0.0.1:22222/tsl_data/task/redo -H "Content-Type: application/json" -d '"20241031"'

## 数据手动入库

- cem_mobile_experience_list

```http
### 入库 cem_mobile_experience_list
POST http://192.168.10.7:22222/tsl_data/source/warehouse/cem_mobile_experience_list HTTP/1.1
Content-Type:application/json

2025
```

curl -X POST http://127.0.0.1:22222/tsl_data/report/generate/v3 -H "Content-Type: application/json" -d '"20241031"'

```http
### 删除 cem_mobile_experience_list
POST http://192.168.10.7:22222/tsl_data/source/delete/cem_mobile_experience_list HTTP/1.1
Content-Type:application/json

20240325
```

- report_auto.he_d_mobile_comp

```http
POST http://192.168.10.7:29100/tsl/task/warahouse/mobilecomp HTTP/1.1
Content-Type:application/json

20241111
```

- report_auto.he_d_high_quality

```http
POST http://192.168.10.7:29100/tsl/task/warahouse/highquality HTTP/1.1
Content-Type:application/json

20231015
```

## 查询数据

```http
POST http://192.168.10.7:22222/tsl/task/check/srcfile HTTP/1.1
Content-Type:application/json

20250505
```

## 删除数据

- report_auto.he_d_mobile_comp

```http
POST http://192.168.10.7:22222/tsl/task/delete/mobilecomp HTTP/1.1
Content-Type:application/json

20250505
```

- report_auto.he_d_high_quality

```http
POST http://192.168.10.7:29100/tsl/task/delete/highquality HTTP/1.1
Content-Type:application/json

20231015
```

```http
### 入库 mobile_complaint 数据
POST http://192.168.10.7:22222/tsl_data/source/warehouse/mobile_complaint
Content-Type: application/json

20231203

### 删除 mobile_complaint 数据
POST http://192.168.10.7:22222/tsl_data/source/delete/mobile_complaint
Content-Type: application/json

20231203

### 入库 high_quality_count 数据
POST http://192.168.10.7:22222/tsl_data/source/warehouse/high_quality_count
Content-Type: application/json

20231203

### 删除 high_quality_count 数据
POST http://192.168.10.7:22222/tsl_data/source/delete/high_quality_count
Content-Type: application/json

20231203

### 入库 high_quality_list 数据
POST http://192.168.10.7:22222/tsl_data/source/warehouse/high_quality_list
Content-Type: application/json

20231203

### 删除 high_quality_list 数据
POST http://192.168.10.7:22222/tsl_data/source/delete/high_quality_list
Content-Type: application/json

20231203

### 删除 high_quality_list 数据
POST http://192.168.10.7:22222/tsl_data/highQualityData/generate
Content-Type: application/json

20231203

### 删除 high_quality_list 数据
POST http://192.168.10.7:22222/tsl_data/highQualityData/delete
Content-Type: application/json

20231203

### 生成报表
POST http://192.168.10.7:22222/tsl_data/report/generate
Content-Type: application/json

20231203
```
