package com.nokia.tsl_data.entity;

import lombok.Data;
import java.time.Instant;

/**
 * 数据源是工单流程的flow_form_basic表 码表 sys_data_dictionary
 * tsl_data.work_flow_basic_data
 * 20240205开始不再更新
 */
/* cSpell: disable */
@Deprecated
@Data
public class WorkFlowBasicData {

    private Long id;
    // 流程系统内工单号 唯一
    private String orderNo;
    // is_effctive = '1' 
    // 1 表示有效工单，0表示无效工单
    private String isEffctive;
    // 客服工单号 理论上不应有重复，但是实际上会出现重复
    private String kfsn;
    // 归属地市
    private String cityId;
    // 归属区县
    private String regionId;
    // 客服受理时间
    private String kdAcceptTime;
    // 客服要求答复时间
    private String kdRequestReplyTime;
    // 客服答复状态
    private String reIsStatusId;
    // 客服归档时间
    private String kfFileTime;
    // 客服归档类型
    private String kfFileType;
    // 工单创建时间
    private Instant workFlowCreateTime;
    // 工单更新时间
    private Instant workFlowUpdateTime;
}
